com.verisign.epp.transport

## Class EPPSrvFactory

- java.lang.Object
- - com.verisign.epp.transport.EPPSrvFactory

- Direct Known Subclasses:
    EPPSrvFactorySingle

      public abstract class EPPSrvFactory
      extends java.lang.Object

  Factory for creating server sockets that implement the `EPPServerCon` interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPSrvFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EPPServerCon` | `getEPPServer()` Creates a server socket implements the `EPPServerCon` interface based on the configuration.
    `EPPServerCon` | `getEPPServer(java.lang.String aServerSocketClass)` Creates a server socket by name that implements the `EPPServerCon` interface.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPSrvFactory

          public EPPSrvFactory()

  - ### Method Detail

    - #### getEPPServer

          public EPPServerCon getEPPServer(java.lang.String aServerSocketClass)
                                    throws EPPConException

      Creates a server socket by name that implements the `EPPServerCon` interface.
      Parameters:
        `aServerSocketClass` - Server socket by name that implements the `EPPServerCon` interface.
      Returns:
        Server socket object that implements the `EPPServerCon` interface.
      Throws:
        `EPPConException` - Error creating server socket

    - #### getEPPServer

          public EPPServerCon getEPPServer()
                                    throws EPPConException

      Creates a server socket implements the `EPPServerCon` interface based on the configuration.
      Returns:
        Server socket implements the `EPPServerCon` interface
      Throws:
        `EPPConException` - Error creating server socket

Copyright © VeriSign Inc. All Rights Reserved.